Documentation Index Fetch the complete documentation index at: https://thrackle.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Clone the Forte Rules Engine
git clone git@github.com:forte-service-company-ltd/forte-rules-engine-v1.git
cd forte-rules-engine-v1
Initial Setup
Install foundryup
Thrackle maintains precompiled binaries of Foundry releases to make it easier to pin to specific versions. Our recommended approach is to use the Thrackle maintained version, but you can use an existing install if you prefer.
Thrackle Foundry Install Instructions
mkdir -p $HOME /.foundry/bin/
FOUNDRY_DIR = $HOME /.foundry
echo "export PATH= $HOME /.foundry/bin: $PATH " >> ~/.zshrc # or ~/.bashrc, etc.
curl -sSL https://raw.githubusercontent.com/forte-service-company-ltd/foundry/refs/heads/master/foundryup/foundryup -o $FOUNDRY_DIR /bin/foundryup
chmod +x $FOUNDRY_DIR /bin/foundryup
Thrackle’s versioned builds are identical to the Foundry original binaries, just with a version applied on the Github release page. More info here
Using Thrackle Foundryup
Using Standard Foundry
foundryup --version 0.2.0
eth-abi 5.1.0
jq 1.6.0
python-dotenv 1.0.1
These packages can be installed manually or through the following helper command:
pip3 install -r requirements.txt
Compile the Contracts
From the project root run:
This will install the submodules and create the artifacts.